%define		kdeplasmaver	5.11.2
%define		qtver		5.3.2
%define		kpname		systemsettings
Summary:	KDE system settings
Name:		kp5-%{kpname}
Version:	5.11.2
Release:	2
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	46abc4f58f5e9576c3173d576b470419
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kactivities-devel
BuildRequires:	kf5-kactivities-stats-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-khtml-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-kirigami2-devel
BuildRequires:	kf5-kitemviews-devel
BuildRequires:	kf5-kparts-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE system settings.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/systemsettings5
%attr(755,root,root) %{_libdir}/libsystemsettingsview.so.3
%attr(755,root,root) %{_libdir}/qt5/plugins/classic_mode.so
%attr(755,root,root) %{_libdir}/qt5/plugins/icon_mode.so
%{_desktopdir}/kdesystemsettings.desktop
%{_desktopdir}/systemsettings.desktop
%{_datadir}/kservices5/settings-*.desktop
%{_datadir}/kservicetypes5/systemsettings*.desktop
%{_datadir}/kxmlgui5/systemsettings
%{_datadir}/systemsettings
%{_libdir}/qt5/plugins/systemsettings_sidebar_mode.so
%{_datadir}/kpackage/genericqml/org.kde.systemsettings.sidebar

%files devel
%defattr(644,root,root,755)
%{_includedir}/systemsettingsview
%attr(755,root,root) %{_libdir}/libsystemsettingsview.so

%changelog
* Sat Mar 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-systemsettings.git;a=log;h=master

* Sat Mar 03 2018 Jan Rękorajski <baggins@pld-linux.org> 30024bf
- release 2 (by relup.sh)

* Tue Feb 13 2018 Jan Rękorajski <baggins@pld-linux.org> 0edff02
- more BRs

* Tue Feb 13 2018 Jan Rękorajski <baggins@pld-linux.org> 86e8d09
- more BRs

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> d08359d
- updated to 5.11.2

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 7c597bd
- updated to 5.11.0

* Sat Sep 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 215ffff
- find_lang with kde

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a8452c
- initial

